<div class="main-flex-container">
  <app-sidebar></app-sidebar>
  <div class="center-flex-container flex-item">
    <div class="home">
      <h1>Profile</h1>
      <div class="search">
        <input type="text" placeholder="search" id="inputSearch" #inputSearch (keyup)="search(inputSearch.value)">
      </div>
      <i class="fas fa-magic"></i>
    </div>
    <div class="searchOutput" *ngIf="isSearchOutputVisible">
      <div class="follow-user" *ngFor="let user of searchUsers">
        <div class="user-profile">
          <div class="user-pics">
            <img src="http://www.gravatar.com/avatar/{{getHashedEmail(user.email)}}/?d=identicon">
          </div>
          <div class="user-profile-content">
            <div class="title-container">
              <div class="user-names">
                <div class="full-name">
                  <h1 class="main-text"><a (click)="navigateSearchUser(user.id)">{{user.first_name}}
                      {{user.last_name}}</a></h1>
                </div>
                <div class="user-name">
                  <p class="sub-text">@{{user.username}}</p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="user-info">
      <form>
        <div class="form-group-1">
          <div class="d-flex">
            <!-- <img src="../../../assets/img/profile.jpg" alt=""> -->
            <!-- <img ngxGravatar [md5Hash]="getHashEmail(profile.email)" [size]=70 /> -->
            <img src="http://www.gravatar.com/avatar/{{getHashedEmail(profile.email)}}/?d=identicon">
            <div>
              <h3>{{profile.first_name}} {{profile.last_name}}</h3>
              <span>@{{profile.username}}</span>
            </div>
          </div>
          <div class="d-flex follow-info">
            <h4>Followers:{{followers.length}}</h4>
            <h4>Followings:{{followings.length}}</h4>
          </div>
          <div class="edit-profile"><button type="button" (click)="enableEditProfileFormOutput()">Edit</button></div>
        </div>
      </form>
    </div>
    <app-edit-profile [profile]="profile" [isVisible]="isEditProfileFormVisible"
      (profileUpdateEvent)="profileUpdate($event)"
      (crossButtonClick)="disableEditProfileFormOutput()"></app-edit-profile>
    <!-- User Content -->
    <section class="follow-users-box">
      <div class="follow-header">
        <h1 class="main-text text-center">Followings</h1>
      </div>
      <div class="follow-user" *ngFor="let following of followings">
        <div class="user-profile">
          <div class="user-pics">
            <img src="http://www.gravatar.com/avatar/{{getHashedEmail(following.email)}}/?d=identicon">
          </div>

          <div class="user-profile-content">
            <div class="title-container">
              <div class="user-names">
                <div class="full-name">
                  <h1 class="main-text"><a (click)="navigateSearchUser(following.id)">{{following.first_name}}
                      {{following.last_name}}</a></h1>
                </div>
                <div class="user-name">
                  <p class="sub-text">@{{following.username}}</p>
                </div>
              </div>
              <div class="following-btn" (click)="removeFollowing(following)"><a>Remove</a></div>
            </div>
          </div>

        </div>

      </div>
      <div class="follow-footer" *ngIf="followingPaginateIsVisible">
        <a (click)="fetchFollowings()">Show more</a>
      </div>

    </section>
    <section class="follow-users-box">
      <div class="follow-header">
        <h1 class="main-text text-center">Followers</h1>
      </div>
      <div class="follow-user" *ngFor="let follower of followers">
        <div class="user-profile">
          <div class="user-pics">
            <img src="http://www.gravatar.com/avatar/{{getHashedEmail(follower.email)}}/?d=identicon">
          </div>
          <div class="user-profile-content">
            <div class="title-container">
              <div class="user-names">
                <div class="full-name">
                  <h1 class="main-text">{{follower.first_name}} {{follower.last_name}}</h1>
                </div>
                <div class="user-name">
                  <p class="sub-text">@{{follower.username}}</p>
                </div>
              </div>
              <div class="following-btn" (click)="removeFollower(follower)"><a>Remove</a></div>
            </div>
          </div>

        </div>

      </div>

      <div class="follow-footer" *ngIf="followerPaginateIsVisible">
        <a (click)="fetchFollowers()">Show more</a>
      </div>

    </section>
    <div class="follow-header">
      <h1 class="main-text text-center">Tweets</h1>
    </div>
    <div *ngFor="let tweet of tweets">
      <app-tweet [tweet]="tweet" [loggedInUser]="profile"></app-tweet>
    </div>
    <div class="follow-footer" *ngIf="tweetPaginateIsVisible">
      <a (click)="fetchTweets()">Show more</a>
    </div>
  </div>
</div>
